Activate Failover Service
curl --request POST \
--url https://v1.api.altostrat.io/failover/{site_id}/configs \
--header 'Authorization: Bearer <token>'import requests
url = "https://v1.api.altostrat.io/failover/{site_id}/configs"
headers = {"Authorization": "Bearer <token>"}
response = requests.post(url, headers=headers)
print(response.text)const options = {method: 'POST', headers: {Authorization: 'Bearer <token>'}};
fetch('https://v1.api.altostrat.io/failover/{site_id}/configs', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"subscription_id": "9c693485-0552-474c-a7c8-7b969a5330a1"
}{
"type": "invalid_request_error",
"code": "parameter_invalid",
"message": "The value for 'type' must be one of the supported connection types.",
"doc_url": "https://docs.altostrat.io/errors/parameter_invalid"
}{
"type": "invalid_request_error",
"code": "parameter_invalid",
"message": "The value for 'type' must be one of the supported connection types.",
"doc_url": "https://docs.altostrat.io/errors/parameter_invalid"
}{
"type": "invalid_request_error",
"code": "parameter_invalid",
"message": "The value for 'type' must be one of the supported connection types.",
"doc_url": "https://docs.altostrat.io/errors/parameter_invalid"
}{
"type": "invalid_request_error",
"code": "parameter_invalid",
"message": "The value for 'type' must be one of the supported connection types.",
"doc_url": "https://docs.altostrat.io/errors/parameter_invalid"
}{
"type": "invalid_request_error",
"code": "parameter_invalid",
"message": "The value for 'type' must be one of the supported connection types.",
"doc_url": "https://docs.altostrat.io/errors/parameter_invalid"
}Failover Service
Activate Failover Service
Activates the WAN Failover service for a specified site. This is the first step to enabling SD-WAN capabilities. Activating the service automatically creates two default, unconfigured WAN tunnels.
POST
/
failover
/
{site_id}
/
configs
Activate Failover Service
Authorizations
Enter your JWT in the format: Bearer
Path Parameters
The unique identifier for the site.
Example:
"9c69345c-8d39-4786-9f17-8153c988c89a"
Response
Failover service successfully activated.
The unique identifier for the activated Failover service subscription on this site. Will be null if the service is not active.
Example:
"9c693485-0552-474c-a7c8-7b969a5330a1"
Was this page helpful?
⌘I